package entities

import "time"

// SystemLog 系统日志表
type SystemLog struct {
	ID          uint      `json:"id"           xml:"id"           gorm:"primaryKey;not null;comment:系统用户编号"`
	Table       string    `json:"table"        xml:"table"        gorm:"comment:被操作表名"`
	RowID       uint      `json:"row_id"       xml:"row_id"       gorm:"comment:被操作的数据编号"`
	Operation   string    `json:"operation"    xml:"operation"    gorm:"comment:操作类型，1查询、2新增、3编辑、4删除"`
	IP          string    `json:"ip"           xml:"IP"           gorm:"comment:用户IP"`
	Comment     string    `json:"comment"      xml:"comment"      gorm:"comment:操作描述"`
	RequestID   string    `json:"request_id"   xml:"request_id"   gorm:"comment:请求编号"`
	RequestInfo string    `json:"request_info" xml:"request_info" gorm:"comment:请求信息"`
	ColumnInfo  string    `json:"column_info"  xml:"column_info"  gorm:"comment:列变更信息"`
	UserID      int64     `json:"user_id"      xml:"user_id"      gorm:"comment:用户编号"`
	UserType    int64     `json:"user_type"    xml:"user_type"    gorm:"comment:用户类型"`
	CreatedAt   time.Time `json:"create_time"  xml:"create_time"  gorm:"<-:false;comment:创建时间"`
}
