package request

import (
	"sorbet/internal/entities"
)

type SystemRolePowerUpsertRequest struct {
	ID       uint   `json:"id"        xml:"id"        form:"id" path:"id"`
	RoleID   uint   `json:"role_id"   xml:"role_id"   form:"role_id"`
	WithType string `json:"with_type" xml:"with_type" form:"with_type"`
	WithID   uint   `json:"with_id"   xml:"with_id"   form:"with_id"`
}

func (s *SystemRolePowerUpsertRequest) GetID() any {
	return s.ID
}

func (s *SystemRolePowerUpsertRequest) ToMap() map[string]any {
	return map[string]any{
		"id":        s.ID,
		"role_id":   s.RoleID,
		"with_type": s.WithType,
		"with_id":   s.WithID,
	}
}

func (s *SystemRolePowerUpsertRequest) ToEntity() any {
	return &entities.SystemRolePower{
		ID:       s.ID,
		RoleID:   s.RoleID,
		WithType: s.WithType,
		WithID:   s.WithID,
	}
}
